PETSc version 3.15.5
Fix/Edit manual page

# TSPseudoComputeTimeStep

Computes the next timestep for a currently running pseudo-timestepping process.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoComputeTimeStep(TS ts,PetscReal *dt)

Collective on TS

### Input Parameter

| ts | - timestep context

### Output Parameter

| dt | - newly computed timestep

### Notes

The routine to be called here to compute the timestep should be set by calling TSPseudoSetTimeStep().

### See Also

TSPseudoTimeStepDefault(), TSPseudoSetTimeStep()

### Level

developer

### Location

src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages